SQ(1)

NAME
sq-network-wkd-search - Retrieve certificates from a Web Key Directory

SYNOPSIS
sq network wkd search [OPTIONS] ADDRESS

DESCRIPTION
Retrieve certificates from a Web Key Directory.

By default, any returned certificates are stored in the local certificate store. This can be overridden by using `--output` option.

When a certificate is retrieved from a WKD, and imported into the local certificate store, any User IDs with the email address that was looked up are certificated with a local WKD-specific key. That proxy certificate is in turn certified as a minimally trusted CA (trust amount: 1 of 120) by the local trust root. How much the WKD proxy CA is trusted can be tuned using `sq pki link add` or `sq pki link retract` in the usual way.

OPTIONS

  Subcommand options

--all
    Fetch updates for all known certificates

--output=FILE
    Write to FILE (or stdout when omitted) instead of importing into the certificate store

ADDRESS
    Retrieve certificate(s) for ADDRESS

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Retrieve Alice's certificate over WKD.

    sq network wkd search alice@example.org

Retrieve updates for all known certificates over WKD.

    sq network wkd search --all

SEE ALSO
sq(1), sq-network(1), sq-network-wkd(1).

For the full documentation see <https://book.sequoia-pgp.org/>.

VERSION
1.3.0